[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

GPL and LGPL not acceptable for Fedora!



Got your attention? Good.

GPL and LGPL are NOT acceptable License tags for Fedora. You cannot
simply use "GPL" or "LGPL" as a license tag anymore.

You have to use one of the following tags:

GPL+, GPLv2, GPLv2+, GPLv3, GPLv3+, LGPLv2, LGPLv2+, LGPLv3, LGPLv3+

GPL+: If there is no version specified anywhere, and it only says GPL,
then it is GPL+. It is also GPL+ if the code is licensed as "GPL version
1 or later".

GPLv2: If the code only says "version 2 of the License." and does NOT
say "or later version", then it is GPLv2 only.

GPLv2+: If the code is GPL v2 and it says "either version 2 of the
License, or (at your option) any later version.", then it is GPLv2 or
later.

GPLv3: Same as GPLv2 only, except, GPLv3 only.

GPLv3+: Same as GPLv2 or later, except GPLv3 or later.

LGPLv2+: If there is no version specified anywhere, and it only says
LGPL, then it is LGPLv2+. Also, use this tag if it is LGPL v2 (or 2.1)
and it says "or (at your option) any later version." in the code.

LGPLv2: If the code only says "version 2 (or 2.1) of the License." and
does NOT say "or later version", then it is LGPLv2 only.

LGPLv3: Same as LGPLv2 only, except LGPLv3 only.

LGPLv3+: Same as LGPLv2 or later, except LGPLv3 or later.

NOTE: Don't trust COPYING. Look at the source code itself.

Please, please, please do this. Take a minute and go through your
packages and correct the specs so that they are using the new License
tagging schema.

Thanks in advance,

~spot


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]